View Issue Details

IDProjectCategoryView StatusLast Update
0003505TechDraw[FreeCAD] Patchpublic2018-06-14 13:00
Reportermarams Assigned Towandererfan  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003505: Insert new Page using Template: unicode filename
DescriptionIn TechDraw "Insert new Page using Template" fails if the path contains special characters. Patch attached.
TagsNo tags attached.
FreeCAD Information

Activities

marams

2018-06-09 11:37

reporter  

0001-TechDraw-Insert-new-Page-using-Template-use-unicode-.patch (1,249 bytes)
From 41dad4c4de3051ff93ab453f3a78fabab4cbe39d Mon Sep 17 00:00:00 2001
From: Markus Amsler <markus.amsler@eigenstrom.ch>
Date: Sat, 9 Jun 2018 09:31:55 +0200
Subject: [PATCH] TechDraw: Insert new Page using Template: use unicode
 filepath

---
 src/Mod/TechDraw/Gui/Command.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Mod/TechDraw/Gui/Command.cpp b/src/Mod/TechDraw/Gui/Command.cpp
index 208921e6f..4430975f5 100644
--- a/src/Mod/TechDraw/Gui/Command.cpp
+++ b/src/Mod/TechDraw/Gui/Command.cpp
@@ -208,7 +208,7 @@ void CmdTechDrawNewPage::activated(int iMsg)
 
         //why is "Template" property set twice? -wf
         // once to set DrawSVGTemplate.Template to OS template file name
-        doCommand(Doc,"App.activeDocument().%s.Template = '%s'",TemplateName.c_str(), templateFileName.toStdString().c_str());
+        doCommand(Doc,"App.activeDocument().%s.Template = \"%s\"",TemplateName.c_str(), (const char*)templateFileName.toUtf8());
         // once to set Page.Template to DrawSVGTemplate.Name
         doCommand(Doc,"App.activeDocument().%s.Template = App.activeDocument().%s",PageName.c_str(),TemplateName.c_str());
         // consider renaming DrawSVGTemplate.Template property?
-- 
2.17.1

Kunda1

2018-06-09 13:02

administrator   ~0011383

@marams thank you for the patch. Please familiarize yourself with the FC guidelines on how to post to our tracker. For example, from this ticket we don't know what version you are using, this can be easily solved with post you Help > About FreeCAD > Copy to clipboard
Also, in order to prevent tracker bloat (as mentioned in the enormous yellow banner at the top of this page) we ask that people post their issues to the forum first in order for the community to evaluate if a ticket is merited. Here are our guidelines: https://freecadweb.org/wiki/Tracker

CC @wandererfan

Kunda1

2018-06-13 13:54

administrator   ~0011428

@wandererfan when you get a moment, would you mind weighing in ?

wandererfan

2018-06-13 15:08

manager   ~0011429

commit 79e290ff
Don't know why it didn't get closed automagically.

Kunda1

2018-06-13 15:10

administrator   ~0011430

Last edited: 2018-06-13 15:12

View 2 revisions

@wandererfan think you needed to use the '#' in front of the ticket number per https://freecadweb.org/wiki/Tracker#Remotely_resolving_a_ticket
Also I think you need to put the actual
Fix 0003505
in the commit body to trigger mantisbt (not the summary). Also MantisBT Source Integration plugin has been finicky and may just be broken

Kunda1

2018-06-14 13:00

administrator   ~0011432

Closed.

Issue History

Date Modified Username Field Change
2018-06-09 11:37 marams New Issue
2018-06-09 11:37 marams File Added: 0001-TechDraw-Insert-new-Page-using-Template-use-unicode-.patch
2018-06-09 13:02 Kunda1 Status new => feedback
2018-06-09 13:02 Kunda1 Note Added: 0011383
2018-06-13 13:54 Kunda1 Note Added: 0011428
2018-06-13 15:08 wandererfan Note Added: 0011429
2018-06-13 15:09 wandererfan Status feedback => resolved
2018-06-13 15:09 wandererfan Resolution open => fixed
2018-06-13 15:09 wandererfan Fixed in Version => 0.18
2018-06-13 15:09 wandererfan Target Version => 0.18
2018-06-13 15:10 Kunda1 Note Added: 0011430
2018-06-13 15:12 Kunda1 Note Edited: 0011430 View Revisions
2018-06-14 13:00 Kunda1 Assigned To => wandererfan
2018-06-14 13:00 Kunda1 Status resolved => closed
2018-06-14 13:00 Kunda1 Note Added: 0011432